AI resources
Create discount promise

This endpoint allows you to create a "discount promise" for Wallet Connect. This "discount promise" serves as a reference that can be used when generating an Advanced Payment, enabling the application of a specific discount to the payment. During the payment creation process, it's essential to include the information from the previously provided "discount promise".

POST

https://api.mercadopago.com/v2/wallet_connect/discounts
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
x-payer-token
string

REQUIRED

Token associated to the potential payer who will use the discount. For example - e9449535fe074e0e8ff4f2055f604e51.
Body
coupon
string
UUnique ID that identifies the coupon for discount application. This field should be filled out only when the user enters a coupon during the purchasing process with the seller.
amount
number

REQUIRED

Total payment amount before aplying discount. For example, 15.05.
Response parameters
transaction_amount
number
Total payment amount before aplying discount. For example, 150.
currency_id
string
Type of currency to be used in payment.
legal_terms
string
Terms and conditions of discount.
discount
object
Discount description.
Errors

400Error

400

Bad-Request - Invalid amount in discount.

400

Bad-Request - Invalid coupon in discount.

400

Bad-Request - Invalid payer token.

500Error

500

Error - Internal server error.

Request
curl -X POST \
    'https://api.mercadopago.com/v2/wallet_connect/discounts'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********88776-122*********fc20dede6*********a497d7225*********64' \
       -H 'x-payer-token: <PAYER_TOKEN>' \
    -d '{
  "coupon": "WALLET10",
  "amount": 50
}'
Response
{
  "transaction_amount": "24.50",
  "currency_id": "BRL",
  "legal_terms": "https://api.mercadopago.com/v2/discounts/campaign/10580513/terms/html",
  "discount": {
    "amount": "24.50",
    "detail": {
      "cap": 1000000,
      "type": "percentage",
      "value": 10
    }
  }
}